Looking for the right version of sponge forge for my server

i am playing builders paradise on my server and want to add world edit through sponge but i cant find the right version of spongeforge.

my forge version for minecraft is 14.23.5.2847

The latest version of sponge will work. It was designed for a older version of forge but the changes dont affect sponge.

i have tried getting the latest version and it doesnt seem to work … tells me to put aaa at the beginning of the sponge name and then gets stuck in a restart loop

Send a log on pastebin (send the pastebin link here) with the sponge name as aaaspongeforge. Its normally a incompatibly that are normally easy to fix with a simple config change

https://docs.spongepowered.org/stable/en/server/spongineer/incompatible.html may help you